Name:           brutalchess
Version:        0.5.2
Release:        %mkrel 10
Summary:        A 3D chess game inspired by Battle Chess
License:        GPLv2+
Group:          Games/Boards
URL:            http://sourceforge.net/projects/brutalchess/
Source0:        %{name}-alpha-%{version}-src.tar.bz2
Source11:       %{name}-16x16.png
Source12:       %{name}-32x32.png
Source13:       %{name}-48x48.png
Patch0:         %{name}-%{version}-fix-FTBFS.patch
Patch1:         %{name}-%{version}-gcc4.3.patch
Patch2:         %{name}-%{version}-use-own-fonts.patch
Patch3:         %{name}-%{version}-linkage.patch
Patch4:		%{name}-%{version}-gcc4.7.patch

BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  mesagl-devel
BuildRequires:  mesaglu-devel
BuildRequires:  freetype2-devel
BuildRequires:  desktop-file-utils

Requires:       fonts-ttf-dejavu

%description
Brutal Chess features full 3D graphics, an advanced particle engine, and
several different levels of intelligent AI, inspired by the once popular
"Battle Chess" released by Interplay circa 1988.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p1

%build
autoreconf -fi
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%makeinstall_std

# we use system default font via patch2
rm -fr %{buildroot}%{_gamesdatadir}/%{name}/fonts

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Brutal Chess
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;BoardGame;
EOF

install -m644 %{_sourcedir}/%{name}-16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{_sourcedir}/%{name}-32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{_sourcedir}/%{name}-48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc AUTHORS ChangeLog NEWS README
%{_gamesbindir}/%{name}
%{_libexecdir}/md3view
%{_libexecdir}/objview
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-10.mga3
+ Revision: 347203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.5.2-9.mga3
+ Revision: 337858
- Fix for _libdir != _libexecdir

* Sat Dec 01 2012 kamil <kamil> 0.5.2-8.mga3
+ Revision: 324374
- update Group tag: Games/Board

* Sat Dec 01 2012 kamil <kamil> 0.5.2-7.mga3
+ Revision: 324349
- update URL

* Fri Nov 30 2012 pterjan <pterjan> 0.5.2-6.mga3
+ Revision: 323271
+ rebuild (emptylog)

* Thu Nov 29 2012 pterjan <pterjan> 0.5.2-5.mga3
+ Revision: 323224
- Fix build with recent gcc

* Wed Jan 11 2012 kamil <kamil> 0.5.2-5.mga2
+ Revision: 194882
- rebuild against gcc 4.6.2
- fix categories in the desktop-file
- clean spec

* Thu Sep 29 2011 fwang <fwang> 0.5.2-4.mga2
+ Revision: 150148
- fix linkage
- cleanup br

* Wed May 11 2011 dmorgan <dmorgan> 0.5.2-4.mga1
+ Revision: 97167
- imported package brutalchess

